Crash when deleting a column from attribute table

2014-09-19 03:39 AM - Alexander Bruy

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19538

Description

When I try to delete attribute from layer attribute table QGIS crashes. Tested in latest master (11be64d) with shapefiles under Linux. Here

is console output:

[New LWP 14483]

[New LWP 14482]

[New LWP 14481]

[New LWP 14479]

[New LWP 14471]

[New LWP 14470]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

0x00007f049e2df317 in waitpid () from /lib64/libc.so.6

Traceback (most recent call last):

  File "/usr/share/gdb/auto-load/usr/lib64/libgobject-2.0.so.0.3200.4-gdb.py", line 9, in <module>

    from gobject import register

  File "/usr/share/glib-2.0/gdb/gobject.py", line 3, in <module>

    import gdb.backtrace

ImportError: No module named backtrace

[Current thread is 1 (Thread 0x7f04a619c7c0 (LWP 14468))]

#0  0x00007f049e2df317 in waitpid () from /lib64/libc.so.6

No symbol table info available.

#1  0x0000000000513965 in qgisCrash (signal=<optimized out>) at /home/alex/devel/cpp/qgis/src/app/main.cpp:292

        status = <optimized out>

        pidstr = "--pid=14468\\000\\377\\177\\000\\000y\\225(\\241\\004\\177\\000\\000\\000\\000\\000\\000\\000\\000\\000" 

        gdbpid = <optimized out>

        exename =

"/data/devel/cpp/qgis/build/output/bin/qgis\\000\\061\\377\\177\\000\\000X\\373\\323\\006\\000\\000\\000\\000\\\\?\\277\\240\\004\\177\\000\\000\\b\\360\\a1\\377\\177\\000\\000`\\364\\a1\\377\\177\\000\\000\\300+I\\a\\000\\000\\000\\000\\340\\266m\\a\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\267\\243\\377\\240\\004\\177\\000\\000\\000\\000\\000\\000\\026", '\\000' <repeats 27 times>"\\340, \\355Q\\a\\000\\000\\000\\000\\001\\000\\000\\000\\001", '\\000' <repeats 19 times>"\\300, +I\\a\\000\\000\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000\\300\\000\\000\\000\\000\\000\\000\\000\\002\\000\\000\\000\\000\\000\\001\\000\\300+I\\a\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\340\\364\\a1\\377\\177\\000\\000\\\\?\\277\\240\\004\\177\\000\\000\\300+I\\a\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x000000000754fcd0 in ?? ()
No symbol table info available.
#4  0x00007f04a1875b3a in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () 

\\177\\000\\000\\b\\360\\a1\\377\\177\\000\\000`\\364\\a1\\377\\177\\000\\000\\300+I\\a\\000\\000\\000\\000\\340\\266m\\a\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\267\\243\\377\\240\\004\\177\\000\\000\\000\\000\\000\\000\\026", '\\000' <repeats 27 times>"\\340, \\355Q\\a\\000\\000\\000\\000\\001\\000\\000\\000\\001", '\\000' <repeats 19 times>"\\300, +I\\a\\000\\000\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000\\300\\000\\000\\000\\000\\000\\000\\000\\002\\000\\000\\000\\000\\000\\001\\000\\300+I\\a\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\340\\364\\a1\\377\\177\\000\\000\\\\?\\277\\240\\004\\177\\000\\000\\300+I\\a\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x000000000754fcd0 in ?? ()
No symbol table info available.
#4  0x00007f04a1875b3a in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib64/qt/lib/libQtCore.so.4
No symbol table info available.
#5  0x00007f04a253f172 in QgsAttributeForm::init (this=this@entry=0x6e5efb0) at /home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:452
        formWidget = <optimized out>
        __F

000\\000\\000`\\364\\a1\\377\\177\\000\\000\\267\\243\\377\\240\\004\\177\\000\\000\\000\\000\\000\\000\\026", '\\000' <repeats

27 times>"\\340, \\355Q\\a\\000\\000\\000\\000\\001\\000\\000\\000\\001", '\\000' <repeats 19 times>"\\300,

+I\\a\\000\\000\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000\\300\\000\\000\\000\\000\\000\\000\\000\\002\\000\\000\\000\\000\\000\\001\\000\\300+I\\a\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\340\\364\\a1\\377\\177\\000\\000\\\\?\\277\\240\\004\\177\\000\\000\\300+I\\a\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x000000000754fcd0 in ?? ()
No symbol table info available.
#4  0x00007f04a1875b3a in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib64/qt/lib/libQtCore.so.4
No symbol table info available.
#5  0x00007f04a253f172 in QgsAttributeForm::init (this=this@entry=0x6e5efb0) at /home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:452
        formWidget = <optimized out>
        __FUNCTION__ = "init" 
#6  0x00007f04a254048d in QgsAttributeForm::onAttributeDeleted (this=0x6e5efb0, idx=<optimized out>) at /home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:285
No locals.
#7  0x00007f04a265c5b7 in QgsAttributeForm::qt_static_metacall (_o=0x6e5efb0, _c=<optimized out>, _id=11, _a=0x7fff3107fd30) at /home/alex/devel/cpp/qgis/build/src/gui/moc_qgsattributeform.cxx:85
        _t = 0x6e5efb0
#8  0x00007f04a1871ebf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt/lib/libQtCore.so.4
No symbol table info available.
#9  0x00007f04a2f90661 in QgsVectorLayer::attributeDeleted (this=this@entry=0x69e27b0, _t1=2) at /home/alex/devel/cpp/qgis/build/src/core/moc_qgsvecto

000\\000\\001\\000\\300+I\\a\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\260\\320\\177\\002\\000\\000\\000\\000`\\364\\a1\\377\\177\\000\\000\\340\\364\\a1\\377\\177\\000\\000\\\\?\\277\\240\\004\\177\\000\\000\\300+I\\a\\000\\000\\000\\000"...
        len = <optimized out>
#2  <signal handler called>
No symbol table info available.
#3  0x000000000754fcd0 in ?? ()
No symbol table info available.
#4  0x00007f04a1875b3a in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /usr/lib64/qt/lib/libQtCore.so.4
No symbol table info available.
#5  0x00007f04a253f172 in QgsAttributeForm::init (this=this@entry=0x6e5efb0) at /home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:452
        formWidget = <optimized out>
        __FUNCTION__ = "init" 
#6  0x00007f04a254048d in QgsAttributeForm::onAttributeDeleted (this=0x6e5efb0, idx=<optimized out>) at /home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:285
No locals.
#7  0x00007f04a265c5b7 in QgsAttributeForm::qt_static_metacall (_o=0x6e5efb0, _c=<optimized out>, _id=11, _a=0x7fff3107fd30) at /home/alex/devel/cpp/qgis/build/src/gui/moc_qgsattributeform.cxx:85
        _t = 0x6e5efb0
#8  0x00007f04a1871ebf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt/lib/libQtCore.so.4
No symbol table info available.
#9  0x00007f04a2f90661 in QgsVectorLayer::attributeDeleted (this=this@entry=0x69e27b0, _t1=2) at /home/alex/devel/cpp/qgis/build/src/core/moc_qgsvectorlayer.cxx:337
        _a = {0x0, 0x7fff3107fd2c}
#10 0x00007f04a2f90d8e in QgsVectorLayer::qt_static_metacall (_o=0x69e27b0, _c=<optimized out>, _id=<optimized out>, _a=0x7fff3107fed0) at /home/alex/devel/cpp/qgis/build/src/core/moc_qgsvectorlayer.cxx:2

1\\377\\177\\000\\000\\340\\364\\a1\\377\\177\\000\\000\\\\?\\277\\240\\004\\177\\000\\000\\300+I\\a\\000\\000\\000\\000"...

        len = <optimized out>

#2  <signal handler called>

No symbol table info available.

#3  0x000000000754fcd0 in ?? ()

No symbol table info available.

#4  0x00007f04a1875b3a in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) ()
from /usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#5  0x00007f04a253f172 in QgsAttributeForm::init (this=this@entry=0x6e5efb0) at

/home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:452

        formWidget = <optimized out>

        __FUNCTION__ = "init" 

#6  0x00007f04a254048d in QgsAttributeForm::onAttributeDeleted (this=0x6e5efb0, idx=<optimized out>) at

/home/alex/devel/cpp/qgis/src/gui/qgsattributeform.cpp:285

No locals.

#7  0x00007f04a265c5b7 in QgsAttributeForm::qt_static_metacall (_o=0x6e5efb0, _c=<optimized out>, _id=11,

_a=0x7fff3107fd30) at /home/alex/devel/cpp/qgis/build/src/gui/moc_qgsattributeform.cxx:85

        _t = 0x6e5efb0

#8  0x00007f04a1871ebf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#9  0x00007f04a2f90661 in QgsVectorLayer::attributeDeleted (this=this@entry=0x69e27b0, _t1=2) at

/home/alex/devel/cpp/qgis/build/src/core/moc_qgsvectorlayer.cxx:337

        _a = {0x0, 0x7fff3107fd2c}

#10 0x00007f04a2f90d8e in QgsVectorLayer::qt_static_metacall (_o=0x69e27b0, _c=<optimized out>, _id=<optimized out>,

_a=0x7fff3107fed0) at /home/alex/devel/cpp/qgis/build/src/core/moc_qgsvectorlayer.cxx:201

        _t = 0x69e27b0

#11 0x00007f04a1871ebf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#12 0x00007f04a2f91221 in QgsVectorLayerEditBuffer::attributeDeleted (this=<optimized out>, _t1=2) at

/home/alex/devel/cpp/qgis/build/src/core/moc_qgsvectorlayereditbuffer.cxx:185

        _a = {0x0, 0x7fff3107fecc}

#13 0x00007f04a2e6b609 in QgsVectorLayerUndoCommandDeleteAttribute::redo (this=0x6d5a940) at

/home/alex/devel/cpp/qgis/src/core/qgsvectorlayerundocommand.cpp:422

No locals.

#14 0x00007f04a123f673 in QUndoStack::push(QUndoCommand*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#15 0x00007f04a2e4fa43 in QgsVectorLayerEditBuffer::deleteAttribute (this=0x7a5d4e0, index=2) at

/home/alex/devel/cpp/qgis/src/core/qgsvectorlayereditbuffer.cpp:234

        origin = QgsFields::OriginProvider

        originIndex = -1584184662

#16 0x00007f04a2e49282 in QgsVectorLayer::deleteAttributes (this=0x69e27b0, attrs=...) at

/home/alex/devel/cpp/qgis/src/core/qgsvectorlayer.cpp:2139

        attr = <optimized out>

        _container_ = {c = {{p = {static shared_null = {ref = {_q_value = 7410}, alloc = 0, begin = 0, end = 0, sharable = 1, array =

{0x0}}, d = 0x73017b0}, d = 0x73017b0}}, brk = 0, i = {i = 0x73017c8}, e = {i = 0x73017d0}}

        deleted = <optimized out>

#17 0x000000000059a917 in QgsAttributeTableDialog::on_mRemoveAttribute_clicked (this=0x772f980) at

/home/alex/devel/cpp/qgis/src/app/qgsattributetabledialog.cpp:630

        attributes = {{p = {static shared_null = {ref = {_q_value = 7410}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d =

0x785a4e0}, d = 0x785a4e0}}

        masterModel = 0x2f41390

        dialog = {<QDialog> = {<No data fields>}, <Ui::QgsDelAttrDialogBase> = {<Ui_QgsDelAttrDialogBase> = {gridLayout =

0x76fabe0, listBox2 = 0x78dc050, buttonBox = 0x6a24bc0}, <No data fields>}, static staticMetaObject = {d = {superdata =

0x7f04a16a15a0 <QDialog::staticMetaObject>, stringdata = 0x937960 <qt_meta_stringdata_QgsDelAttrDialog>

"QgsDelAttrDialog", data = 0x937980 <qt_meta_data_QgsDelAttrDialog>, extradata = 0xde6b80

<QgsDelAttrDialog::staticMetaObjectExtraData>}}, static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x860d00

<QgsDelAttrDialog::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}}
#18 0x000000000085e4f1 in QgsAttributeTableDialog::qt_static_metacall (_o=_o@entry=0x772f980,

_c=_c@entry=QMetaObject::InvokeMetaMethod, _id=12, _a=_a@entry=0x7fff310803a0) at

/home/alex/devel/cpp/qgis/build/src/app/moc_qgsattributetabledialog.cxx:118

        _t = 0x772f980

#19 0x000000000085e69b in QgsAttributeTableDialog::qt_metacall (this=0x772f980, _c=QMetaObject::InvokeMetaMethod,

_id=<optimized out>, _a=0x7fff310803a0) at /home/alex/devel/cpp/qgis/build/src/app/moc_qgsattributetabledialog.cxx:175

No locals.

#20 0x00007f04a1872083 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#21 0x00007f04a1257772 in QAbstractButton::clicked(bool) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#22 0x00007f04a0fab95e in ?? () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#23 0x00007f04a0fac190 in ?? () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#24 0x00007f04a0fac3fc in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#25 0x00007f04a106634a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#26 0x00007f04a0c436a0 in QWidget::event(QEvent*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#27 0x00007f04a0bf3f5c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#28 0x00007f04a0bf8c3b in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#29 0x00007f04a2c5c6a3 in QgsApplication::notify (this=0x7fff31082150, receiver=0x71df620, event=0x7fff31080ca0) at

/home/alex/devel/cpp/qgis/src/core/qgsapplication.cpp:243

        done = true

        __FUNCTION__ = "notify" 

#30 0x00007f04a185cabe in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#31 0x00007f04a0bf4d9b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#32 0x00007f04a0c6feb4 in ?? () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#33 0x00007f04a0c6e7b1 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#34 0x00007f04a0c943e2 in ?? () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#35 0x00007f049b2ddc35 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0

No symbol table info available.

#36 0x00007f049b2ddf68 in ?? () from /usr/lib64/libglib-2.0.so.0

No symbol table info available.

#37 0x00007f049b2de024 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0

No symbol table info available.

#38 0x00007f04a188ac16 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#39 0x00007f04a0c9406e in ?? () from /usr/lib64/qt/lib/libQtGui.so.4

No symbol table info available.

#40 0x00007f04a185b80f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#41 0x00007f04a185ba98 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#42 0x00007f04a1860738 in QCoreApplication::exec() () from /usr/lib64/qt/lib/libQtCore.so.4

No symbol table info available.

#43 0x000000000050d8a0 in main (argc=1, argv=0x2853e10) at /home/alex/devel/cpp/qgis/src/app/main.cpp:1017

        qgistor = <incomplete type>

        mySnapshotHeight = 600

        args = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 7410}, alloc = 0, begin = 0, end = 0, sharable = 1,

array = {0x0}}, d = 0x27e3130}, d = 0x27e3130}}, <No data fields>}

        myApp = {<QApplication> = {<No data fields>}, static staticMetaObject = {d = {superdata = 0x7f04a168b3e0

<QApplication::staticMetaObject>, stringdata = 0x7f04a2fffd80 <qt_meta_stringdata_QgsApplication> "QgsApplication", data =

0x7f04a2fffde0 <qt_meta_data_QgsApplication>, extradata = 0x7f04a33084e0 <QgsApplication::staticMetaObjectExtraData>}},

static staticMetaObjectExtraData = {objects = 0x0, static_metacall = 0x7f04a2f89f30

<QgsApplication::qt_static_metacall(QObject*, QMetaObject::Call, int, void**)>}, static QGIS_ORGANIZATION_NAME =

0x7f04a2ff1b00 "QGIS", static QGIS_ORGANIZATION_DOMAIN = 0x7f04a2fa8de6 "qgis.org", static

QGIS_APPLICATION_NAME = 0x7f04a2fa8de0 "QGIS2", static mFileOpenEventReceiver20500 = 0x28b3eb0, static

mFileOpenEventList20500 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 7410}, alloc = 0, begin = 0, end =

0, sharable = 1, array = {0x0}}, d = 0x7f04a1bb5b40 <QListData::shared_null>}, d = 0x7f04a1bb5b40

<QListData::shared_null>}}, <No data fields>}, static mPrefixPath20500 = {static null = {<No data fields>}, static shared_null =

{ref = {_q_value = 12138}, alloc = 0, size = 0, data = 0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0,

righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0,

size = 0, data = 0x7f04a1bb5c1a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity

= 0, reserved = 0, array = {0}}, d = 0x7f04a1bb5c20 <QString::shared_null>, static codecForCStrings = 0x0}, static

mPluginPath20500 = {static null = <same as static member of an already seen type>, static shared_null = <same as static

member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x28355d0,

static codecForCStrings = 0x0}, static mPkgDataPath20500 = {static null = <same as static member of an already seen type>,

static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of an

already seen type>, d = 0x2836ae0, static codecForCStrings = 0x0}, static mLibraryPath20500 = {static null = <same as static

member of an already seen type>, static shared_null = <same as static member of an already seen type>, static shared_empty =

<same as static member of an already seen type>, d = 0x2835770, static codecForCStrings = 0x0}, static mLibexecPath20500 =

{static null = <same as static member of an already seen type>, static shared_null = <same as static member of an already seen

type>, static shared_empty = <same as static member of an already seen type>, d = 0x2835800, static codecForCStrings = 0x0},

static mThemeName20500 = {static null = <same as static member of an already seen type>, static shared_null = <same as static

member of an already seen type>, static shared_empty = <same as static member of an already seen type>, d = 0x2a153e0,

static codecForCStrings = 0x0}, static mDefaultSvgPaths20500 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value

= 7410}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x287ed20}, d = 0x287ed20}}, <No data fields>}, static

mSystemEnvVars20500 = {{d = 0x2848160, e = 0x2848160}}, static mConfigPath20500 = {static null = {<No data fields>}, static

shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data = 0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0,

simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value =

465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a <QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0,

asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x28356e0, static codecForCStrings = 0x0}, static

mRunningFromBuildDir20500 = true, static mBuildSourcePath20500 = {static null = <same as static member of an already seen

type>, static shared_null = <same as static member of an already seen type>, static shared_empty = <same as static member of

an already seen type>, d = 0x2836ae0, static codecForCStrings = 0x0}, static mBuildOutputPath20500 = {static null = <same as

static member of an already seen type>, static shared_null = <same as static member of an already seen type>, static

shared_empty = <same as static member of an already seen type>, d = 0x27ab090, static codecForCStrings = 0x0}, static

mGdalSkipList20500 = {<QList<QString>> = {{p = {static shared_null = {ref = {_q_value = 7410}, alloc = 0, begin = 0, end = 0,

sharable = 1, array = {0x0}}, d = 0x7f04a1bb5b40 <QListData::shared_null>}, d = 0x7f04a1bb5b40 <QListData::shared_null>}},

<No data fields>}, static mMaxThreads20500 = -1}

        myLocaleOverrideFlag = <optimized out>
        __FUNCTION__ = "main" 

        mySnapshotFileName = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0,

data = 0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0,

reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f04a1bb5c00 <QString::shared_empty>, static codecForCStrings = 0x0}

        myHideSplash = false

        myRestorePlugins = true

        myTranslationCode = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data

= 0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved =

0, array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x2847e30, static codecForCStrings = 0x0}

        customizationfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f04a1bb5c20 <QString::shared_null>, static codecForCStrings = 0x0}

        style = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x284fb40, static codecForCStrings = 0x0}

        qttor = <incomplete type>

        myPixmap = <incomplete type>

        myInitialExtent = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x27b44a0, static codecForCStrings = 0x0}

        mySettings = <incomplete type>

        i18nPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x28a1ed0, static codecForCStrings = 0x0}

        myLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f04a1bb5c20 <QString::shared_null>, static codecForCStrings = 0x0}

        qgis = 0x28b3eb0

        retval = <optimized out>

        optionpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f04a1bb5c20 <QString::shared_null>, static codecForCStrings = 0x0}

        customizationsettings = <optimized out>

        systemEnvVars = {{d = 0x2848160, e = 0x2848160}}

        myRestoreDefaultWindowState = false

        pythonfile = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,
array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f04a1bb5c20 <QString::shared_null>, static codecForCStrings = 0x0}

        myUseGuiFlag = <optimized out>

        myUserLocale = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x282b680, static codecForCStrings = 0x0}

        mySplashPath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x2845bb0, static codecForCStrings = 0x0}

        mySnapshotWidth = 800

        myCustomization = <optimized out>

        configpath = {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 12138}, alloc = 0, size = 0, data =

0x7f04a1bb5c3a <QString::shared_null+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0,

array = {0}}, static shared_empty = {ref = {_q_value = 465}, alloc = 0, size = 0, data = 0x7f04a1bb5c1a

<QString::shared_empty+26>, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d =

0x7f04a1bb5c20 <QString::shared_null>, static codecForCStrings = 0x0}

        useCustomVars = <optimized out>

        mypSplash = 0x2853e10

Associated revisions

Revision 35936084 - 2014-09-22 08:47 AM - Matthias Kuhn

Restore buttonbox visibility after attribute form reload

Followup febe37de

Fix #11229

Fix #11194

History

#1 - 2014-09-19 11:56 AM - Maxim Dubinin

same thing under Win

#2 - 2014-09-19 06:04 PM - Nyall Dawson

Adding a column also results in a similar crash.

#3 - 2014-09-20 03:10 AM - Pedro Venâncio

Nyall Dawson wrote:
Adding a column also results in a similar crash.

Yes, this was already reported and happens both with shapefiles and Postgis layers: #11194

#4 - 2014-09-21 11:51 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"35936084ff9c6ff912611bab471a3ddf20aa906b".
